> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olostep.com/llms.txt
> Use this file to discover all available pages before exploring further.

# モニターエージェントログのストリーム

> このmonitor_idにフィルタリングされたモニターエージェントのCloudWatchログを追跡します。?stream=1またはAccept: text/event-streamが必要です。



## OpenAPI

````yaml ja/openapi/monitors.json GET /v1/monitors/{monitor_id}/agent-logs
openapi: 3.0.3
info:
  title: モニターAPI
  version: 1.0.0
servers:
  - url: https://api.olostep.com
security: []
paths:
  /v1/monitors/{monitor_id}/agent-logs:
    get:
      summary: モニターエージェントログをストリーム
      description: >-
        この`monitor_id`に言及している行にフィルタリングされた、モニターのシャドウエージェントのCloudWatchログを追跡します。`?stream=1`または`Accept:
        text/event-stream`が必要です。
      parameters:
        - name: monitor_id
          in: path
          required: true
          schema:
            type: string
            pattern: ^monitor_
        - name: stream
          in: query
          required: true
          schema:
            type: string
            enum:
              - '1'
              - 'true'
        - name: since
          in: query
          schema:
            type: integer
          description: ミリ秒単位の開始タイムスタンプ（デフォルト：30分前）。
      responses:
        '200':
          description: '`ready`、`log`、`heartbeat`、および`error`イベントを含むSSEストリーム。'
          content:
            text/event-stream:
              schema:
                type: string
        '400':
          description: 無効なmonitor_idまたはstreamパラメータがありません。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: 無効なAPIキー。
        '404':
          description: モニターが見つかりません。
        '500':
          description: 内部サーバーエラー。
      security:
        - Authorization: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        monitor_id:
          type: string
          description: 一部の作成/更新エラーレスポンスに表示。
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: Bearer認証ヘッダーの形式はBearer <token>で、<token>はあなたの認証トークンです。

````